/**
 * Copyright 2010 CSIRO
 * www.csiro.au
 * 
 * Contact: Carsten.Friedrich@csiro.au
 */
package csiro.opennebula.jaxb;

import javax.xml.bind.annotation.adapters.XmlAdapter;

/**
 * @author fri096
 *
 */
public class OneBooleanAdaptor extends XmlAdapter<String, Boolean> {

	@Override
	public Boolean unmarshal(String v) throws Exception {
		if("1".equals(v))return true;
		return Boolean.parseBoolean(v);
	}

	@Override
	public String marshal(Boolean v) throws Exception {
		return v ? "True" : "False";
	}

}
